# gnupg_export

(PECL gnupg >= 0.1)

gnupg_export — Exports a key

### Description

gnupg_export ( resource `$identifier` , string `$fingerprint` ) : string

Exports the key `fingerprint`.

### Parameters

`identifier`

  The gnupg identifier, from a call to gnupg_init() or gnupg.

`fingerprint`

  The fingerprint key.

### Return Values

On success, this function returns the keydata. On failure, this function returns `FALSE`.

### Examples

Example #1 Procedural gnupg_export() example

`<?php
$res = gnupg_init();
$export = gnupg_export($res,"8660281B6051D071D94B5B230549F9DC851566DC");
echo $export;
?>`

Example #2 OO gnupg_export() example

`<?php
$gpg = new gnupg();
$export = $gpg -> export("8660281B6051D071D94B5B230549F9DC851566DC");
?>`